Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359394 - Bluetooth fails with kernel TX Timeouts [NEEDINFO]
Summary: Bluetooth fails with kernel TX Timeouts
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-23 16:53 UTC by ByteEnable
Modified: 2016-10-26 16:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:57:42 UTC
labbott: needinfo? (ByteEnable)


Attachments (Terms of Use)

Description ByteEnable 2016-07-23 16:53:14 UTC
Description of problem:
Bluetooth fails to initialize and or fails to pair if initialization succeeded.

Version-Release number of selected component (if applicable):
Linux byteenable 4.6.4-301.fc24.x86_64 #1 SMP Tue Jul 12 11:50:00 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Always.

Steps to Reproduce:
1.  Install Fedora 24 on system that contains Atheros Communications USB Bluetooth controller.
2.  Attempt to turn on Bluetooth in GNOME.  Will fail here if initialization failed.
3.  Bluetooth will fail to pair if step 2 actually succeeded.

Actual results:
Failure to operate Bluetooth successfully.

Expected results:
To initialize and pair with scanned Bluetooth devices.

Additional info:

Worked flawlessly in F22.

The wireless Ethernet CTLR is a ath9k which works flawlessly as well.

More info:

[root@byteenable ByteEnable]# dmesg -T | grep "Bluetooth\|usb 1-1.1"
[Sat Jul 23 11:25:56 2016] usb 1-1.1: new full-speed USB device number 3 using ehci-pci
[Sat Jul 23 11:25:56 2016] usb 1-1.1: New USB device found, idVendor=04ca, idProduct=3005
[Sat Jul 23 11:25:56 2016] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[Sat Jul 23 11:25:56 2016] usb 1-1.1: Product: Bluetooth USB Host Controller
[Sat Jul 23 11:25:56 2016] usb 1-1.1: Manufacturer: Atheros Communications
[Sat Jul 23 11:25:56 2016] usb 1-1.1: SerialNumber: Alaska Day 2006
[Sat Jul 23 11:26:18 2016] Bluetooth: Core ver 2.21
[Sat Jul 23 11:26:18 2016] Bluetooth: HCI device and connection manager initialized
[Sat Jul 23 11:26:18 2016] Bluetooth: HCI socket layer initialized
[Sat Jul 23 11:26:18 2016] Bluetooth: L2CAP socket layer initialized
[Sat Jul 23 11:26:18 2016] Bluetooth: SCO socket layer initialized
[Sat Jul 23 11:26:20 2016] usb 1-1.1: USB disconnect, device number 3
[Sat Jul 23 11:26:20 2016] usb 1-1.1: new full-speed USB device number 6 using ehci-pci
[Sat Jul 23 11:26:25 2016] usb 1-1.1: device descriptor read/64, error -110
[Sat Jul 23 11:26:30 2016] usb 1-1.1: New USB device found, idVendor=04ca, idProduct=3005
[Sat Jul 23 11:26:30 2016] usb 1-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[Sat Jul 23 11:26:30 2016] usb 1-1.1: Product: Bluetooth USB Host Controller
[Sat Jul 23 11:26:30 2016] usb 1-1.1: Manufacturer: Atheros Communications
[Sat Jul 23 11:26:30 2016] usb 1-1.1: SerialNumber: Alaska Day 2006
[Sat Jul 23 11:26:32 2016] Bluetooth: hci0 command 0x1002 tx timeout
[Sat Jul 23 11:26:34 2016] Bluetooth: hci0 command 0x0c52 tx timeout
[Sat Jul 23 11:26:36 2016] Bluetooth: hci0 command 0x0c45 tx timeout
[Sat Jul 23 11:26:38 2016] Bluetooth: hci0 command 0x0c58 tx timeout
[Sat Jul 23 11:26:40 2016] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[Sat Jul 23 11:26:40 2016] Bluetooth: BNEP filters: protocol multicast
[Sat Jul 23 11:26:40 2016] Bluetooth: BNEP socket layer initialized
[Sat Jul 23 11:26:40 2016] Bluetooth: hci0 command tx timeout

hciconfig -a hfci0
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 2C:D0:5A:20:9E:F4  ACL MTU: 1022:8  SCO MTU: 183:5
	DOWN 
	RX bytes:396 acl:0 sco:0 events:15 errors:0
	TX bytes:48 acl:0 sco:0 commands:20 errors:5
	Features: 0xff 0xfe 0x0d 0xfe 0xd8 0x7f 0x7b 0x87
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: 
	Link mode: SLAVE ACCEPT

Comment 1 Laura Abbott 2016-09-23 19:18:49 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Laura Abbott 2016-10-26 16:57:42 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.